void DeleteBullet(int id);
void DamageEnemy(int id);

void Bomb(
	int& bomb_time,            // 폭탄의 유효시간
	float x0, float y0,        // 폭탄의 유효범위의 좌상좌표
	float x1, float y1,        // 폭탄의 유효범위의 우하좌표
	float bx0[], float by0[],  // 탄의 좌상좌표
	float bx1[], float by1[],  // 탄의 우하좌표
	int num_bullet,            // 탄의 갯수
	float ex0[], float ey0[],  // 적기의 좌상좌표
	float ex1[], float ey1[],  // 적기의 우하좌표
	int num_enemy		   // 적기의 갯수
) {
	// 폭탄이 유효한 경우의 처리
	if (bomb_time>0) {
	
		// 탄을 제거하기:
		// 제거하는 구체적인 처리는
		// DeleteBullet 함수에서 수행하기로 함.
		for (int i=0; i<num_bullet; i++) {
			if (bx0[i]<x1 && x0<bx1[i] && 
				by0[i]<y1 && y0<by1[i]) {
				DeleteBullet(i);
			}
		}

		// 적기에게 피해를 입히기:
		// 피해를 입히는 구체적인 처리는
		// DamageEnemy 함수에서 수행하기로 함.
		for (int i=0; i<num_enemy; i++) {
			if (ex0[i]<x1 && x0<ex1[i] && 
				ey0[i]<y1 && y0<ey1[i]) {
				DamageEnemy(i);
			}
		}
	
		// 폭탄의 유효시간을 줄임
		bomb_time--;
	}
}

